Page MenuHomePhabricator

[builtins][test] XFAIL two SPARC tests
ClosedPublic

Authored by ro on Jul 16 2019, 6:26 AM.

Details

Summary

Two SPARC builtins tests are currently FAILing due to codegen bugs:

local-sparcv9/ninja-check-all.err3
Builtins-sparc-sunos :: divtc3_test.c
Builtins-sparcv9-sunos :: compiler_rt_logbl_test.c
Builtins-sparcv9-sunos :: divtc3_test.c
I'd like to XFAIL them to reduce testsuite noise. 

Done as follows, tested on `sparcv9-sun-solaris2.11` and `x86_64-pc-solaris2.11`.
Ok for trunk?

Diff Detail

Repository
rL LLVM

Event Timeline

ro created this revision.Jul 16 2019, 6:26 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 16 2019, 6:26 AM
Herald added subscribers: Restricted Project, fedor.sergeev. · View Herald Transcript
ro added a comment.Jul 23 2019, 4:22 AM

Ping? It's been a week now. I don't really know abouth LLVM's testcase xfail policy. Someone to enlighten me?

Is rL189780 related? If you can simply fix the issue, you probably don't have to XFAIL the tests...

ro added a comment.Jul 23 2019, 5:17 AM

Is rL189780 related? If you can simply fix the issue, you probably don't have to XFAIL the tests...

It is related, but the two bugs compiler-rt testing has uncovered are beyond me to fix. They require someone versed in the SPARC
backend to deal with, I fear, that's why I filed the bugs instead of attempting fixes myself.

ro added a comment.Jul 29 2019, 6:24 AM

Ping^2? Is it ok to xfail those tests given a fix is far from trivial for me?

jyknight accepted this revision.Jul 29 2019, 2:06 PM

Given the reference to the bug, seems fine to me to commit an xfail here since nobody is actively working to fix this right now.

This revision is now accepted and ready to land.Jul 29 2019, 2:06 PM
ro added a comment.Jul 30 2019, 1:02 AM

Given the reference to the bug, seems fine to me to commit an xfail here since nobody is actively working to fix this right now.

Thanks. It seems the SPARC backend is only seeing occasional activity these days, especially for corner cases like (software) long double
support.

This revision was automatically updated to reflect the committed changes.